**********************************************************************
******     TO REPLICATE June 2015 EBA REER RESULTS            ******
******                                  			            ******
**********************************************************************
* Estimating REER fixed effect Regression, with newey west corrected standard errors

set more off
clear 

* Insert the path where you copied data excel file between two quotation marks below 
*cd "type path to which you've copied data excel file here"

import excel "EBA Index REER DATASET.xlsx", sheet("Regression data") firstrow clear  
xtset ifs_code year

local list1   "mb_LR_m22y_K_di_1 mb_ir_st_E_r_m_usa_KC_1 mb_dfxres_y_wo_KC_1"
foreach var of local list1 { 
                xi i.ifs_code
                levelsof ifs_code, local(list_ifs_codes_dum)
                local dum "111"
                local  list_ifs_codes_dum : list list_ifs_codes_dum - dum
                foreach ifs_code of local list_ifs_codes_dum{
                                capture drop `var'_C_`ifs_code'
                                gen `var'_C_`ifs_code' = `var'* _Iifs_code_`ifs_code'
                }              
} 
	#delimit ;
	global list2 "	LR_heal2y_di_1  	int_KOnew_Ez_di  		dmfd_pcr2y_adj_di
					mb_rel3pppypw15DM_1	mb_rel3pppypw15DM_K_1  	voxDM_K_1 
					voxDM_K_res2_1 		mb_res_pct 				bis_fordebtr_di_1 
					sj_ltot_m 			open2y_di_1 			mb_yg_mt_di 
					mb_pgro_di 			ebrd_number_m 			dumapart " ;
	#delimit cr
	
	global list3 "mb_LR_m22y_K_di_1 mb_ir_st_E_r_m_usa_KC_1 mb_dfxres_y_wo_KC_1 mb_LR_m22y_K_di_1_C_* mb_ir_st_E_r_m_usa_KC_1_C_* mb_dfxres_y_wo_KC_1_C_*"
	global list4 "mb_dfxres_y_KC_di "
 
* Running the regression
* Next line runs ivreg2 command. ivreg2 installation might be needed. To install ivreg2 type: ssc install ivreg2 	
xi: ivreg2 lins_reer_x   $list2  i.ifs_code ($list4 = $list3) , bw(3)robust small

* Exporting REER Results (coefficients) to Excel File
* Below outreg2 command includes calculated R2 and RMSE metrics. Install outreg2.ado if necessary by running below commented-out line
* ssc install outreg2
global options  "pval e(rmse) auto(2) dec(2) label replace"
outreg2   $list2 $list4 using "REER Regression_Results.xls", $options ctitle(Benchmark) 
